Skip to main content
GET
/
v1
/
partner
/
merchants
/
{merchantId}
/
stores
List stores for a merchant
curl --request GET \
  --url https://sandbox.api.acountpay.com/v1/partner/merchants/{merchantId}/stores \
  --header 'X-Partner-Client-Id: <api-key>' \
  --header 'X-Partner-Client-Secret: <api-key>'
[
  {
    "id": "loc_abc123",
    "name": "Downtown Branch",
    "locationId": "LOC-001",
    "streetAddress": "Nørregade 12",
    "city": "København",
    "postalCode": "1165",
    "countryCode": "DK",
    "phone": "<string>",
    "email": "<string>",
    "isDefault": true,
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-Partner-Client-Id
string
header
required

Your partner client ID

X-Partner-Client-Secret
string
header
required

Your partner client secret

Path Parameters

merchantId
integer
required

Merchant ID

Response

List of stores

id
string
Example:

"loc_abc123"

name
string
Example:

"Downtown Branch"

locationId
string
Example:

"LOC-001"

streetAddress
string
Example:

"Nørregade 12"

city
string
Example:

"København"

postalCode
string
Example:

"1165"

countryCode
string
Example:

"DK"

phone
string
email
string
isDefault
boolean
status
enum<string>
Available options:
active,
inactive
Example:

"active"

createdAt
string<date-time>